mfsmetalogger(8)

NAME
mfsmetalogger - start, restart or stop MooseFS metalogger process

SYNOPSIS
mfsmetalogger [-c CFGFILE] [-f] [-d] [-u] [-n] [-t LOCKTIMEOUT] [ACTION]

mfsmetalogger -v

mfsmetalogger -h

DESCRIPTION

mfsmetalogger is the metadata replication server of MooseFS.

OPTIONS

-v  print version information and exit

-h  print usage information and exit

-c CFGFILE
    specify alternative path of configuration file (default is mfsmetalogger.cfg in system configuration directory)

-f  run in foreground, don't daemonize

-d  run with dangerous options (names: DANGEROUS_*)

-u  log undefined configuration values (when default is assumed)

-n  do not attempt to increase limit of core dump size

-t LOCKTIMEOUT
    how long to wait for lockfile (in seconds; default is 60 seconds)

ACTION
    tells metalogger to perform one of the following actions:

    start
        Start metalogger process if the process is not already running, otherwise display error message.

    stop
        Stop metalogger process if the process is running, otherwise display error message.

    restart
        (default action) If the metalogger process is running, restart it, if it's not running, start it.

    reload
        Send a signal to metalogger process to reload config files.

    info
        Send a signal to metalogger process to dump debug information file in working directory.

    test
        Displays "mfsmetalogger pid: PID" if the metalogger is running (and return 0) or "mfsmetalogger is not running" otherwise (and return 1).

    kill
        Send termination signal to metalogger process.

    restore
        Not implemented.

FILES

mfsmetalogger.cfg
    configuration file for MooseFS metalogger process; refer to mfsmetalogger.cfg(5) manual for details

.mfsmetalogger.lock
    lock file of running MooseFS metalogger process (created in data directory)

changelog_ml.*.mfs
    MooseFS filesystem metadata change logs (backup of master change log files, created in data directory)

metadata.ml.mfs.back
    Latest copy of complete metadata.mfs.back file from MooseFS master (created in data directory)

.mfsmetalogger_info.txt
    metalogger info file, created by sending the process INFO signal, with work parameters that can be used for debugging/support purposes (created in data directory)

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2026 Jakub Kruszona-Zawadzki, Saglabs SA This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program; if not, see <https://www.gnu.org/licenses/>.

SEE ALSO
mfsmaster(8), mfsmetalogger.cfg(5)